Package pygeodesy :: Module booleans :: Class _CompositeGH |
[frames] | no frames]

# Class _CompositeGH

      object --+
               |
    named._Named --+
                   |
      _CompositeBase --+
                       |
                      _CompositeGH

Known Subclasses:
  - BooleanGH

(INTERNAL) A list of clips representing a composite of LatLonGH points, duplicates and intersections with an other composite.

Instance Methods
__init__(self, lls, raiser=False, xtend=False, **name_kind_eps) (INTERNAL) See BooleanFHP and BooleanGH. |
Inherited from `_CompositeBase`: `__contains__`, `__eq__`, `__iter__`, `__len__`, `__ne__`, `__repr__`, `__str__`, `clipids`, `isequalTo`, `toLatLon` Inherited from `named._Named`: `__format__`, `__imatmul__`, `__matmul__`, `__rmatmul__`, `attrs`, `classof`, `copy`, `dup`, `methodname`, `rename`, `renamed`, `toRepr`, `toStr`, `toStr2` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| xtend Get the option to handle degenerate cases (`bool`).
Inherited from `_CompositeBase`: `eps`, `raiser` Inherited from `named._Named`: `classname`, `classnaming`, `iteration`, `name`, `named`, `named2`, `named3`, `named4`, `sizeof`, `typename` Inherited from `object`: `__class__`

Method Details

### __init__ (self, lls, raiser=False, xtend=False, **name_kind_eps) (Constructor) |
(INTERNAL) See BooleanFHP and BooleanGH. Overrides: object.__init__ (inherited documentation)

Property Details

### xtend Get the option to handle degenerate cases (`bool`). Get method: xtend(self) - Get the option to handle degenerate cases (`bool`). Set method: xtend(self, xtend) - Set the option to handle degenerate cases (`bool`).